%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Function OLSMLE
% Performs OLS using MLE
% 
%                                         by Csar Zamudio, 11/16/2010
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function f= obj(beta,Y,X,N)
b=beta(1:2,1);
sig=beta(3,1);

term1=1/sqrt(2*pi*sig^2);
term2=((Y-X*b).^2)/(2*sig^2);

lik=sum(log(term1*exp(-term2)+1E-16));

f=-lik;

