%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Function OLSMLE_Trunc
% Performs OLS using MLE (TRUNCATED model)
% 
%                                         by Csar Zamudio, 11/16/2010
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function f= obj(beta,Y,X,N)
b=beta(1:2,1);
sig=beta(3,1);

term1=(1/sig)*normpdf((Y-X*b)./sig);
term2=normcdf(X*b./sig);

lik= sum(log(term1+1E-16)-log(term2+1E-16));

f=-lik;

